List legal holds
GET
/v1/legal-holdscurl -X GET 'https://api.embodiflow.io/v1/legal-holds' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Query parameters
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- statusstringAllowed valuesactivereleased
- scopeTypestringAllowed valuestenantprojectdatasetdatasetVersionstorageObject
- scopeIdstring (uuid)
Responses
Success
- dataarray<LegalHoldSummaryDto>required
- idstringrequired
- tenantIdstringrequired
- scopeTypestringrequiredAllowed valuestenantprojectdatasetdatasetVersionstorageObject
- scopeIdstring | nullrequired
- reasonstringrequired
- placedBystringrequired
- placedAtstringrequired
- releasedBystring | nullrequired
- releasedAtstring | nullrequired
- authoritystringrequiredAllowed valuestenantplatform
- statusstringrequiredAllowed valuesactivereleased
- createdAtstringrequired
- updatedAtstringrequired
- metaobjectrequired
- pageSizenumberrequired
- requestIdstringrequired
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
Response example
{
"data": [
{
"id": "string",
"tenantId": "string",
"scopeType": "tenant",
"scopeId": "string",
"reason": "string",
"placedBy": "string",
"placedAt": "string",
"releasedBy": "string",
"releasedAt": "string",
"authority": "tenant",
"status": "active",
"createdAt": "string",
"updatedAt": "string"
}
],
"meta": {
"pageSize": 0,
"requestId": "string"
},
"nextPageToken": "string"
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1